View Single Post
  #1  
Old 3rd January 2009, 19:52
mike_phi mike_phi is offline
Junior Member
 
Join Date: Mar 2008
Posts: 27
Thanks: 0
Thanked 0 Times in 0 Posts
Default Problem with Zlib

Hi there

I am having a problem using zlib
I currently have ISPConfig-2.2.21 installed on Fedora 5 and it works fantasticly !!! : )

How ever no Zlib support
I get the error

Abort pclzip.lib.php : Missing zlib extensions

I guess I need to recompile my php installation
I took a look at the install_ispconfig/compile_apps/compile script and was wondering what do I need to alter inorder to recompile php for zlib support.

parallel to this when the recompilation is done do I need to set any flags in the php.ini or will this all be done as a result of the compile.

currently my compile for php looks like this (extract form the install_ispconfig/compile_apps/compile script)

Code:
cd ../${PHP}
./configure --with-apxs=${INSTALL_ROOT}/httpd/bin/apxs --enable-track-vars --enable-sockets --enable-mbstring=all --with-config-file-path=${INSTALL_ROOT}/php --enable-ftp --prefix=${INSTALL_ROOT}/php ${WITH_OPENSSL} ${WITH_MYSQL} --disable-libxml --disable-dom --disable-xml ${WITH_ZLIB_DIR} --disable-xmlreader --disable-xmlwriter --disable-simplexml --without-pear || error "Could not configure PHP"
could you please post an example of what I should change inorder to include zlib

The BIG question is do I need to reinstall ISPConfig or will I get away with just recompiling, and can I just recompile the php or do I need to recompile everything, I am affraid to make too many changes as I have a perfect system with some sites configured : ) is there a safe way of doing this

Could you respond with a step by step as how I should go further yet maintain the integrety of my system.

Thanx in advance

Cheers Mic
Reply With Quote
Sponsored Links